Announcement Announcement Module
Collapse
No announcement yet.
groovy highlighting Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • groovy highlighting

    The highlighting for groovy/grails breaks all the time. I have to close the file and reopen it to get it to highlight again properly. Anyway to force rehighlighting without closing/opening the file?

    thanks

  • #2
    is this thing on? or this forum just beyond dead?

    Comment


    • #3
      Sts?

      Are you talking about the highlighting of Groovy code in STS? Please be a little more specific.

      Brian

      Comment


      • #4
        Yes, in STS.

        Thanks

        Comment


        • #5
          What version?

          Which version of STS are you using? The highlighting seems to get better in later ones...

          Brian

          Comment


          • #6
            Version: 2.3.3.CI-R5594-B53

            Thanks

            Comment


            • #7
              You might want to download 2.5.0 and see if it's better behaved on highlighting. I've noticed improvements.

              Brian

              Comment


              • #8
                Ok, thanks again

                Comment


                • #9
                  is there a manual way to force the current editor to be rehighlighted without closing and reopening the file?

                  thanks

                  Comment


                  • #10
                    Updated to the latest STS. No change in the groovy highlighting. It's still very hit or miss. Is there not an easy way to ask STS to rehighlight the current buffer as if it had just been opened?

                    Thanks

                    Comment


                    • #11
                      You might want to ask this on the Spring Development Tools forum. I've not noticed major problems in Groovy syntax highlighting for a long time, so I'm wondering whether you have the latest Groovy Eclipse plugin installed. Go to STS' About dialog and check what version of Groovy Eclipse is installed (you should just need to click on the Groovy logo). I'm on 2.1.0.xx-20101020-1000-e36-release.

                      Comment


                      • #12
                        Thanks for the reply. I'm using version: 2.1.0.xx-20101020-1000-e36-release
                        Of the plugin. I get highlighting errors all day every day

                        Comment

                        Working...
                        X